Subject: RE: No interaction with bash?
From: [email-masked] (Mike Grasso)

27 May 1998 13:08:54 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>, <[email-masked]>

> I've look in the FAQ and a brief tour in the mailing lists. Its probably
> there but needs to be "in my face" a bit more ;-).
> Andway - If I run a "certain" program from cmd.exe it works fine. If I run
> it from sh it exits without doing anything.
>
> The program is MSVC link.exe

I can't reproduce your problem, but then again I'm using a more recent
release of MS's link utility (v5.10.7303).  However....

> From bash  I get the following: (ie no interaction at all )
>
> ------------
> C:\>sh
> sh-2.01$ //k/general/msvc/bin/link
> sh-2.01$
> ------------

I had a similar problem with a MS utility in the past (which utility I can't
remember...), and the problem turned out to be that the program tried to
call GetModuleHandle () on itself very early in its initialisation, using
argv [0] as the parameter to that call.  Because I'd specified the program
name using bash's //device/directory notation (which the Windows API knows
nothing about!) the call was failing, and the program just bombed out.

Dunno if this is going to be your problem, but try it out (ie. by copying
link to be on your path).

--
Mike Grasso - [email-masked]
TUSC P/L - 666 Doncaster Road, Doncaster, 3108, Australia
ph +61 3 9840 4451 - fx +61 3 9840 2277 - mb +61 4 1619 4954

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".